Bug 227637 - Update FUSE kernel module to latest version, for ntfs-3g
Update FUSE kernel module to latest version, for ntfs-3g
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-02-07 03:37 EST by Russell Odom
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-18 06:57:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell Odom 2007-02-07 03:37:15 EST
Description of problem: ntfs-3g prefers an updated version of FUSE. It gives
this warning when mounting:

WARNING: Old FUSE kernel module detected. This means, some driver features
         are not available (swap file on NTFS, boot from NTFS by LILO),
         and unmount is not safe unless you make sure the ntfs-3g process
         naturally terminates after calling 'umount'. The safe FUSE kernel
         driver is included in the official Linux kernels since version
         2.6.20-rc1, or in the FUSE 2.6 software package. Please see the
         next page for more help: http://www.ntfs-3g.org/support.html#fuse26

Version-Release number of selected component (if applicable): fuse-2.6.1-1

How reproducible: Every time

Steps to Reproduce:
1. Mount a disk with ntfs-3g driver
2. See above warning
Additional info:
The latest version of FUSE (2.6.3) contains the necessary fixes so ntfs-3g will
work correctly/safely. An updated version of ntfs-3g (0.20070207-RC1) was
released upstream today and has the same requirement.

[root@detritus ~]# rpm -q ntfs-3g
[root@detritus ~]# uname -a
Linux detritus.local 2.6.19-1.2895.fc6 #1 SMP Wed Jan 10 18:50:56 EST 2007
x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Peter Lemenkov 2007-02-07 03:47:12 EST
This bug could be assigned to Dave Jones (a guy who responsible for the kernel
stuff AFAIK) too. I can only update userland-part not the kernel module itself.
Comment 2 Peter Lemenkov 2007-02-07 03:48:00 EST
In any case thanks for mentioning - I'll update fuse from 2.6.1. to 2.6.3 asap.
Comment 3 Russell Odom 2007-02-08 03:36:56 EST
OK, I've updated FUSE to 2.6.3 (thanks Peter) but I still get this message. Hope
I've got the right Dave Jones to assign this to...
Comment 4 S Roy Choudhury 2007-02-15 12:36:05 EST
I also have the same trouble even after updating both FUSE modules as well as 
Comment 5 eric magaoay 2007-03-30 13:17:51 EDT
There is a latest stable released (dated: 3-28-07) version (1.328) for ntfs-3g. 


I downloaded and compiled the sources from that site, and did a little stress
test. So far so good. 

Can the maintainer update to this version (1.328)? 
Comment 6 Russell Odom 2007-09-18 06:57:49 EDT
At some point (I didn't notice when!) fuse has been updated and this warning has
gone away. Closing.

[root@detritus ~]# rpm -q fuse ntfs-3g
[root@detritus ~]# uname -a
Linux detritus.local #1 SMP Wed Aug 15 11:52:47 EDT 2007 x86_64
x86_64 x86_64 GNU/Linux

BTW there's an updated release of ntfs-3g with significant performance
improvements - see bug 294481.

Note You need to log in before you can comment on or make changes to this bug.